org.eclipse.jetty.util

## Enum Scanner.Notification

- java.lang.Object
- - java.lang.Enum<Scanner.Notification>
  - - org.eclipse.jetty.util.Scanner.Notification

All Implemented Interfaces:
  Serializable, Comparable<Scanner.Notification>

Enclosing class:
  Scanner

    public static enum Scanner.Notification
    extends Enum<Scanner.Notification>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADDED`
`CHANGED`
`REMOVED`

### Method Summary

Methods
`static Scanner.Notification` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scanner.Notification[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADDED

    public static final Scanner.Notification ADDED

#### CHANGED

    public static final Scanner.Notification CHANGED

#### REMOVED

    public static final Scanner.Notification REMOVED

### Method Detail

#### values

    public static Scanner.Notification[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Scanner.Notification c : Scanner.Notification.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Scanner.Notification valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null